Package wx :: Package lib :: Module filebrowsebutton :: Class FileBrowseButton

[frames | no frames]

## Type FileBrowseButton

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            FileBrowseButton

Known Subclasses:
  `DirBrowseButton`, `FileBrowseButtonWithHistory`

A control to allow the user to type in a filename or browse with the standard file dialog to select file

Method Summary
| ``__init__`(self, parent, id, pos, size, style, labelText, buttonText, toolTip, dialogTitle, startDirectory, initialValue, fileMask, fileMode, changeCallback, labelWidth)`
| ``createBrowseButton`(self)` Create the browse-button control
| ``createDialog`(self, parent, id, pos, size, style)` Setup the graphic representation of the dialog
| ``createLabel`(self)` Create the label/caption
| ``createTextControl`(self)` Create the text control
| ``Enable`(self, value)` Convenient enabling/disabling of entire control
| ``GetLabel`(self)` Retrieve the label's current text
| ``GetValue`(self)` retrieve current value of text control
| ``OnBrowse`(self, event)` Going to browse for file...
| `OnChanged(self, evt)`
| `SetBackgroundColour(self, color)`
| ``SetLabel`(self, value)` Set the label's current text
| ``SetValue`(self, value, callBack)` set current value of text control

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=524288, labelText='File Entry:', buttonText='Browse', toolTip='Type filename or click browse to choose file', dialogTitle='Choose a file', startDirectory='.', initialValue='', fileMask='*.*', fileMode=1, changeCallback=<function <lambda> at 0xb58d809c>, labelWidth=0)
(Constructor)

  Parameters:
    `labelText` - Text for label to left of text field

    `buttonText` - Text for button which launches the file dialog

    `toolTip` - Help text

    `dialogTitle` - Title used in file dialog

    `startDirectory` - Default directory for file dialog startup

    `fileMask` - File mask (glob pattern, such as .) to use in file dialog

    `fileMode` - wx.OPEN or wx.SAVE, indicates type of file dialog to use

    `changeCallback` - Optional callback called for all changes in value of the control

    `labelWidth` - Width of the label

  Overrides:
    `wx.Panel.__init__`

### createBrowseButton(self)

Create the browse-button control

### createDialog(self, parent, id, pos, size, style)

Setup the graphic representation of the dialog

### createLabel(self)

Create the label/caption

### createTextControl(self)

Create the text control

### Enable(self, value)

Convenient enabling/disabling of entire control

  Overrides:
    `wx.Window.Enable`

### GetLabel(self)

Retrieve the label's current text

  Overrides:
    `wx.Window.GetLabel`

### GetValue(self)

retrieve current value of text control

### OnBrowse(self, event=None)

Going to browse for file...

### SetLabel(self, value)

Set the label's current text

  Overrides:
    `wx.Window.SetLabel`

### SetValue(self, value, callBack=1)

set current value of text control

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:52 2007 | http://epydoc.sf.net